# Changelog

Alluvial's changelog records changes made to the Alluvial API specification, including new features, improvements, bug fixes, and more.

## July 9, 2024

* Discounting APIs are live! These APIs enable adding a new target rate in the event Platforms need to adjust the net Protocol Service Fee rate for specific accounts and/or wallets.
* Summary APIs are now exposed within the Reporting API. Summary APIs allow for teams to get data for a range of dates rather than a specific day.

## May 17, 2024

* Reporting API now exposes an endpoint for Platforms with segregated accounts to get rewards information. You can see examples in our [reporting guide](https://docs.alluvial.finance/guides/reporting#segregated-account-structure).

## April 24, 2024

* Reporting API now exposes an endpoint for Platforms with an omnibus to get rewards information. You can see examples in our [reporting guide](https://docs.alluvial.finance/guides/reporting).

## March 25, 2024

### On-Platform list

* On-Platform list has been created to allow Platforms that only want to allow for a wallet to take part in secondary actions of LsETH to be accounted for. More information can be found in the [Mint and Redeem](https://docs.alluvial.finance/guides/platform-mint_burn) guide or [Secondary interaction](https://docs.alluvial.finance/guides/platform-listing) guide.
* When creating a wallet, Platforms that allow for minting and redeeming, but only want to allow a wallet for secondary interactions can add these wallets to the on\_platform list.

### Platform APIs

* Introduction of [Platform and Account APIs](https://docs.alluvial.finance/api-reference/onboarding#platformg). These replace the Depositor APIs that are now marked for [deprecation](https://docs.alluvial.finance/api-reference/onboarding#deprecated-apis).

## May 5th, 2023

### Release redeems APIs

* Expose redemption requests by address via /eth/v0/redeems
* Expose redemption requests by id via /eth/v0/redeems/{idx}
* Expose redemption manager (heights) via /eth/v0/redeems\_info

This API can be used with the [redemption guide](https://docs.alluvial.finance/guides/redemptions).

## May 18th, 2023

### Release projection APIs for LsETH redemptions

* Expose redeem projected redeemable at timestamp via /eth/v0/redeems/{idx}/projection
* Expose manager projected fulfilled at timestamp via /eth/v0/redeems\_info/projection

This API can be used with the [redemption guide](https://docs.alluvial.finance/guides/redemptions).

## November 20th, 2023

* Remove address from Allowlister via PATCH /v0/depositors/{idOrKey}/wallets/{idOrAddress}/remove

Rather than removing the entire Depositor object, Platforms can now remove only the wallet address. This is the recommended approach for most cases where an a Platform needs to revoke a wallet address' Allowlist permissions.

The wallet will is still able to transfer LsETH to other wallets.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alluvial.finance/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
